/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCCIT_QYSDS_A06779') 
 CREATE TABLE T_TCCIT_QYSDS_A06779 (
FID BIGINT DEFAULT 0 NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTECHNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FTECHTYPE BIGINT DEFAULT 0 NOT NULL,
FTECHNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FFAIRVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOBTAINDATE DATETIME,
FDYSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(100) DEFAULT ' ' NOT NULL,
FASSOCIATED VARCHAR(50) DEFAULT ' ' NOT NULL,
FROWNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERNSRMC VARCHAR(100) DEFAULT ' ' NOT NULL,
FHEADERNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERYEAR VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCCIT_SEASONAL_POLICY' AND KSQL_COL_NAME ='FYJPROFITSLOGIC') 
 ALTER TABLE T_TCCIT_SEASONAL_POLICY ADD (FYJPROFITSLOGIC VARCHAR(50) DEFAULT ' ' NOT NULL );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCCIT_table.sql **/
